<?php
session_start();
	if (isset($_POST['k1'])) {
		$id = $_SESSION['id'];
		require_once('../wiras_php/wa_baza/wa_polacz.php');
		$zap = 'SELECT * FROM strona_setup WHERE id_user='.$id;
		$pobierz = mysqli_query($db, $zap);
			$ustawienia = array();
			while ($wiersz = mysqli_fetch_row($pobierz)) 
			{
				$ustawienia[] = $wiersz;
			}
		$ustaw[0] = $ustawienia[0][2];
		$ustaw[1] = $ustawienia[0][3];
		$ustaw[2] = $ustawienia[0][4];
		$ustaw[3] = $ustawienia[0][5];
		$ustaw[4] = $ustawienia[0][6];
		$ustaw[5] = $ustawienia[0][7];
		$ustaw[6] = $ustawienia[0][8];
		$ustaw[7] = $ustawienia[0][9];
		$ustaw[8] = $ustawienia[0][10];
		$ustaw[9] = $ustawienia[0][11];
		$ustaw[10] = $ustawienia[0][12];
		//--------------------------------------
		$zap = 'SELECT * FROM strona_tresc WHERE id_user='.$id;
		$pobierz = mysqli_query($db, $zap);
		$dane = array();
		while ($wiersz = mysqli_fetch_row($pobierz)) 
		{
			$dane[] = $wiersz;
		}
		
		$ustaw[11] = $dane[0][4];	//tytul
		$ustaw[12] = $dane[0][5];	//tresc
		$ustaw[13] = $dane[0][6];	//data
		
		//----------------------------------------------
		$dir = $_SESSION['strona'].'pliki/upload/'.$_SESSION['nazwa'].'/pliki/';
		$zap = 'SELECT * FROM strona_pliki WHERE id_user='.$id;
		$pobierz = mysqli_query($db, $zap);
		$dane = array();
		while ($wiersz = mysqli_fetch_row($pobierz)) 
		{
			$dane[] = $wiersz;
		}
		$lp = count($dane);
		if ($lp>0) {
			$tup = '<div style="width: 720px; margin: 5px auto; height: 0; border: 1px dotted #F00; clear: both;"></div>';
			$tup = $tup.'<div id="strona_upload_tlo">';
			$tup = $tup.'<h1 id="h3_tytul">Pliki do pobrania</h1>';
			$styl = '<span style="color: #08F; font-weight: bold;">';
			for ($i=0; $i<$lp; $i++) {
				$tup = $tup.'<div id="strona_upload_plik">';
				$tup = $tup.'<div id="strona_upload_sekcja1">';
				$tup = $tup.$styl.'Nazwa pliku</span><br />';
				$tup = $tup.$dane[$i][2];
				$tup = $tup.'</div>';
				$tup = $tup.'<div id="strona_upload_sekcja2">';
				$tup = $tup.$styl.'Data dodania</span><br />';
				$tup = $tup.$dane[$i][4];
				$tup = $tup.'</div>';
				$tup = $tup.'<div id="strona_upload_sekcja3">';
				$tup = $tup.$styl.'Link do pobrania</span><br />';
				$tup = $tup.'<a id="strona_link" href="'.$dir.$dane[$i][2].'" target="_blank">Pobierz</a>';
				$tup = $tup.'</div>';
				$tup = $tup.'<div id="strona_upload_sekcja4">';
				$tup = $tup.$styl.'Liczba pobrań</span><br />';
				$tup = $tup.$dane[$i][5];
				$tup = $tup.'</div>';
				$tup = $tup.'</div>';
			}
			$tup = $tup.'</div>';
		} else $tup='';
		$ustaw[14] = $tup;
		$ustaw[15] = $lp;
		//----------------------------------------------
		echo json_encode($ustaw);
		unset($ustaw);
		unset($ustawienia);
		unset($dane);
		unset($pobierz);
	}
?>